<?php 
/*
Plugin Name: Shapebootstrap Shortcodes
Plugin URI: http://www.shapebootstrap.net
Description: Shapebootstrap theme Shortcode Plugins
Author: Shapebootstrap
Version: 1.0
Author URI: http://www.shapebootstrap.net
*/

require_once( plugin_dir_path( __FILE__ ).'/view-shortcode.php' );

#-----------------------------------------------------------------#
# Register TinyMCE Shortcode Buttons
#-----------------------------------------------------------------#
function shapebootstrap_tinymce_js() {

//make sure the user has correct permissions
    if ( ! current_user_can('edit_posts') && ! current_user_can('edit_pages') ) {
        return;
    }

//only add to visual mode
    if ( get_user_option('rich_editing') == 'true' ) {
        add_filter( 'mce_external_plugins', 'add_js_plugin' );
        add_filter( 'mce_buttons', 'register_shapebootstrap_tinymce_button' );
    }

}

add_action('init', 'shapebootstrap_tinymce_js');


function add_js_plugin( $plugin_array ) {
    $plugin_array['shapebootstrap_buttons'] = plugins_url('/shapebootstrap.tinymce.js',__FILE__);
    return $plugin_array;
}

#-----------------------------------------------------------------
# Create Button
#-----------------------------------------------------------------
function register_shapebootstrap_tinymce_button( $buttons ) {
array_push( $buttons, "shapebootstrapscgenerator" );  // "shapebootstrapscgenerator"  from tinymce.js
return $buttons; 
}