<?php
#-----------------------------------------------------------------
# Columns
#-----------------------------------------------------------------

$shapebootstrap_shortcodes = array();



//Basic
$shapebootstrap_shortcodes['header_1'] = array( 
    'type'=>'heading', 
    'title'=>__('Basic', 'shapebootstrap')
    );



//container
$shapebootstrap_shortcodes['shapebootstrap_container'] = array( 
    'type'=>'simple', 
    'title'=>__('Container', 'shapebootstrap')
    );


$shapebootstrap_shortcodes['shapebootstrap_divider'] = array( 
    'type'=>'radios', 
    'title'=>__('Divider', 'shapebootstrap'), 
    'attr'=>array(
        'size'=>array(
            'type'=>'select', 
            'title'=> __('Divider Size', 'shapebootstrap'), 
            'values'=>array(
                'divider-default'   =>'Default',
                'divider-lg'        =>'Large',
                'divider-md'        =>'Medium',
                'divider-sm'        =>'Small',
                'divider-xs'        =>'Extra Small',
                )
            ),
        ) 

    );

$cols = array('1' => 'Column one','1/2' => 'Column 1/2', '1/3' => 'Column 1/3', '1/4' => 'Column 1/4', '2/3' => 'Column 2/3', '3/4' => 'Column 3/4');

// columns
$shapebootstrap_shortcodes['shapebootstrap_column'] = array( 
    'type'=>'text', 
    'title'=>__('Column', 'shapebootstrap' ), 
    'attr'=>array(
         'col'=>array(
            'type'=>'select', 
            'title'=> __('Column Type: ', 'shapebootstrap'),
            'values'=>$cols
        )
    )

    );


//Elements
$shapebootstrap_shortcodes['header_3'] = array( 
    'type'=>'heading', 
    'title'=>__('Elements', 'shapebootstrap')
);


//Button
$shapebootstrap_shortcodes['shapebootstrap_button'] = array( 
    'type'=>'radios', 
    'title'=>__('Button', 'shapebootstrap'), 
    'attr'=>array(

        'size'=>array(
            'type'=>'select', 
            'title'=> __('Button Size', 'shapebootstrap'), 
            'values'=>array(
                ''     =>'Default',
                'lg'   =>'Large',
                'sm'   =>'Medium',
                'xs'   =>'Small',
                )
            ),

        'type'=>array(
            'type'=>'select', 
            'title'=> __('Button Type', 'shapebootstrap'), 
            'values'=>array(
                'default'=>'Default',
                'primary'=>'Primary',
                'success'=>'Success',
                'info'  =>'Info',
                'warning'=>'Warning',
                'danger'=>'Danger',
                'link'=>'Link',
                )
            ),

        'url'=>array(
            'type'=>'text', 
            'title'=>__('Link URL', 'shapebootstrap')
            ),
        'text'=>array(
            'type'=>'text', 
            'title'=>__('Text', 'shapebootstrap')
            ),
        ) 

    );

// alert
$shapebootstrap_shortcodes['shapebootstrap_alert'] = array( 
    'type'=>'simple', 
    'title'=>__('Alert', 'shapebootstrap' ),
    'attr'=>array(
        'close'=>array(
            'type'=>'select', 
            'title'=> __('Show Close Button', 'shapebootstrap'), 
            'values'=>  array( 'no'=>'No', 'yes'=>'Yes' )
            ),  
        'type'=>array(
            'type'=>'select', 
            'title'=> __('Alert Type', 'shapebootstrap'), 
            'values'=>  array( 'none'=>'None', 'success'=>'Success', 'info'=>'Info', 'warning'=>'Warning', 'danger'=>'Danger' )
            ),  
        'title'=>array(
            'type'=>'text', 
            'title'=> __('Alert Title', 'shapebootstrap')
            ),
        ) 

    );

// skill
$shapebootstrap_shortcodes['shapebootstrap_skill'] = array( 
    'type'=>'radios', 
    'title'=>__('Skill', 'shapebootstrap' ),
    'attr'=>array( 
        'width'=>array(
            'type'=>'text', 
            'title'=> __('Width, Ex. 80', 'shapebootstrap')
            ),        

        'label'=>array(
            'type'=>'text', 
            'title'=> __('Label, Ex. HTML', 'shapebootstrap')
            ),
        ) 

    );

// progressbar
$shapebootstrap_shortcodes['shapebootstrap_progressbar'] = array( 
    'type'=>'dynamic', 
    'title'=>__('Progress Bars', 'shapebootstrap' ), 
    'attr'=>array(
        'progressbar'=>array('type'=>'custom')
        )
    );

$shapebootstrap_shortcodes['shapebootstrap_tabs'] = array( 
    'type'=>'dynamic', 
    'title'=>__('Tabs', 'shapebootstrap' ), 
    'attr'=>array(
        'tabs'=>array('type'=>'custom')
        )
    );

$shapebootstrap_shortcodes['shapebootstrap_accordion'] = array( 
    'type'=>'dynamic', 
    'title'=>__('Accordion', 'shapebootstrap' ), 
    'attr'=>array(
        'accordion'=>array('type'=>'custom')
        )
    );

//Elements
$shapebootstrap_shortcodes['header_4'] = array( 
    'type'=>'heading', 
    'title'=>__('Content', 'shapebootstrap')
);

// Service Shortcode

$shapebootstrap_shortcodes['service'] = array( 
    'type'=>'simple', 
    'title'=>__('Service', 'shapebootstrap'), 
    'attr'=>array(

        'title'=>array(
            'type'=>'text', 
            'title'=>__('Title', 'shapebootstrap')
            ),
        'img'=>array(
            'type'=>'text', 
            'title'=>__('Image Url', 'shapebootstrap')
            ),
        ) 

    );

// Blog

$shapebootstrap_shortcodes['blog'] = array( 
    'type'=>'radios', 
    'title'=>__('Blog', 'shapebootstrap'), 
    'attr'=>array(

        'number_post'=>array(
                'type'=>'text', 
                'title'=>__('Number Of Post Shown', 'shapebootstrap')
                ),
        ) 

    );


$shapebootstrap_shortcodes['parallax'] = array( 
    'type'=>'simple', 
    'title'=>__('Parallax', 'shapebootstrap'), 

);

$shapebootstrap_shortcodes['fade_slider'] = array( 
    'type'=>'simple', 
    'title'=>__('Fade Slider', 'shapebootstrap'),

);

$shapebootstrap_shortcodes['contact_holder'] = array( 
    'type'=>'simple', 
    'title'=>__('Contact Form Section', 'shapebootstrap'),

);

$shapebootstrap_shortcodes['map'] = array( 
    'type'=>'simple', 
    'title'=>__('Google Map', 'shapebootstrap'),

);

$shapebootstrap_shortcodes['social'] = array( 
    'type'=>'simple', 
    'title'=>__('Social Icon', 'shapebootstrap'),

);

$shapebootstrap_shortcodes['testimonial'] = array( 
    'type'=>'dynamic', 
    'title'=>__('Testimonial', 'shapebootstrap' ), 
    'attr'=>array(
        'testimonial'=>array('type'=>'custom')
        )
    );

$shapebootstrap_shortcodes['shapebootstrap_project'] = array( 
    'type'=>'radios', 
    'title'=>__('Portfolio', 'shapebootstrap'),
    );

$shapebootstrap_shortcodes['shapebootstrap_slider'] = array( 
    'type'=>'radios', 
    'title'=>__('shapebootstrap Slider', 'shapebootstrap'),
    );

$shapebootstrap_shortcodes['enter_team'] = array( 
    'type'=>'radios', 
    'title'=>__('Team Member', 'shapebootstrap'),
    'attr'=>array(
        'per_page'=>array(
            'type'=>'text', 
            'title'=>__('Number of Member', 'shapebootstrap')
            ),

        'hide_nav'=>array(
            'type'=>'select', 
            'title'=> __('Disable Nav', 'shapebootstrap'), 
            'values'=>array(
                'no'     =>'no',
                'yes'   =>'Yes'
                )
            ),
        )
    
    );

//Elements
$shapebootstrap_shortcodes['header_5'] = array( 
    'type'=>'heading', 
    'title'=>__('Pricing', 'shapebootstrap')
);

$shapebootstrap_shortcodes['pricing'] = array( 
    'type'=>'simple', 
    'title'=>__('Pricing Column', 'shapebootstrap'),
    'attr'=>array(
        'col'=>array(
            'type'=>'select', 
            'title'=> __('Pricing Column Style', 'shapebootstrap'), 
            'values'=>array(
                1 => 1,
                2 => 2,
                3 => 3,
                4 => 4,
                5 => 5,
            )
        ),
        'name'      =>array(
            'type'      =>'text', 
            'title'     =>__('Plan Name', 'shapebootstrap')
        ),
        'subtitle'  =>array(
            'type'      =>'text', 
            'title'     =>__('Plan Subhead', 'shapebootstrap')
        ),
        'price'     =>array(
            'type'      =>'text', 
            'title'     =>__('Plan Price', 'shapebootstrap')
        ),
        'duration'  =>array(
            'type'      =>'text', 
            'title'     =>__('Plan Duration', 'shapebootstrap')
        ),
        'link'      =>array(
            'type'      =>'text', 
            'title'     =>__('Plan Button Link', 'shapebootstrap')
        ),
        'btn_text'      =>array(
            'type'      =>'text', 
            'title'     =>__('Plan Button Text', 'shapebootstrap')
        ),
    )
);

// pricing item
$shapebootstrap_shortcodes['pricing_item'] = array( 
    'type'=>'simple', 
    'title'=>__('Pricing Content', 'shapebootstrap'),
    'attr'=>array(
        'icon'      =>array(
            'type'      =>'text', 
            'title'     =>__('Icon Name (font awesome)', 'shapebootstrap')
        ),
        'icon_content'  =>array(
            'type'      =>'text', 
            'title'     =>__('Price Icon Content', 'shapebootstrap')
        ),
    )
);

$shapebootstrap_shortcodes['header_6'] = array( 
    'type'=>'heading', 
    'title'=>__('Text Slider', 'shapebootstrap')
);

$shapebootstrap_shortcodes['text_slider'] = array( 
    'type'=>'simple', 
    'title'=>__('Slider Wrap', 'shapebootstrap'),
    'attr'=>array(
        'img'      =>array(
            'type'      =>'text', 
            'title'     =>__('Background Image url', 'shapebootstrap')
        ),
        'video_mp4' =>array(
            'type'      =>'text', 
            'title'     =>__('MP4 Video url', 'shapebootstrap')
        ),
        'video_webm' =>array(
            'type'      =>'text', 
            'title'     =>__('webm Video url', 'shapebootstrap')
        ),
        'subtitle' =>array(
            'type'      =>'text', 
            'title'     =>__('Subtitle', 'shapebootstrap')
        ),
        'btn_link' =>array(
            'type'      =>'text', 
            'title'     =>__('Button Link', 'shapebootstrap')
        ),
        'btn_txt' =>array(
            'type'      =>'text', 
            'title'     =>__('Button Text', 'shapebootstrap')
        ),
    )
);

$shapebootstrap_shortcodes['tx_slide'] = array( 
    'type'=>'simple', 
    'title'=>__('Slide Content', 'shapebootstrap'),
);

